#!/bin/sh
 
echo "Waiting for postgres..."
 
POSTGRES_PORT=${POSTGRES_PORT:-5432}
POSTGRES_HOST=${POSTGRES_HOST:-localhost}

while ! nc -z "$POSTGRES_HOST" "$POSTGRES_PORT"; do
  sleep 0.1
done
 
echo "PostgreSQL started"
 
# Only migrate and collectstatic if we are NOT in development
if [ -z "$DEBUG" ]; then
  python manage.py migrate
  python manage.py collectstatic --no-input;
fi
 
exec "$@"

